Annuncio ufficiale:

Sorry, but Amarok-svn is on hiatus until I’m able to use Amarok 2.0. (Kinda means ‘when there are good KDE 4 packages for Kubuntu’…). I don’t have the time to fiddle on it right now. The Amarok 2.0 edition should be rewritten i ruby, though. 🙂

Due to a cleanup in KDE’s SVN, Amarok-svn 3.2 can’t download unsermake anymore. Solution: Upgrade to Amarok-svn 3.2.1. If you have unsermake installed system wide, you don’t need to upgrade.

L’inglese e’ quello che e’..intraducibile!
In definitiva , per problemi tecnici, bisogna rimuovere ogni eventuale installazione precedente di Amarok-svn..percio’ se e’ la prima volta che installiamo Amarok non ce ne dobbiamo preoccupare.
Quello che realmente ci interessa e’ lo script automatico che scarica, aggiorna ed installa la versione SVN di Amarok, ovvero la 1.4.8 (che non troviamo nei repository).

Download Amarok-svn.sh

* Requisiti Fondamentali *

Per compilare Amarok abbiamo bisogno delle librerie di sviluppo Ruby versione >= 1.8:

sudo apt-get install ruby1.8-dev

Importiamo lo script nella nostra /home e rendiamolo eseguibile (da terminale):

chmod +x ~/27313-amarok-svn.sh

Adesso lanciamolo con:

./27313-amarok-svn.sh

# 11/11 – Installing files.
Executing ‘kdesu’ to get root privileges for installation.
kdesu: Unknown option ‘-t’.
kdesu: Use –help to get a list of available command line options.

ERROR: Amarok was compiled but NOT installed.

Nonostante l’ottimo lavoro, ho avuto qualche difficolta’ proprio per quanto riguarda l’autoconfigurazione, e in particolar modo nella selezione di “kdesu” come comando per accedere ai privilegi di root.
Questo perche’ probabilmente con Ubuntu 7.10 e’ stato deciso di utilizzare di default kdesudo al posto di kdesu. Ma non c’e’ problema perche’ nel caso ci trovassimo in questa situazione e’ sufficiente entrare nella directory dei sorgenti di Amarok-svn e lanciare:

sudo make install

.. per completare l’installazione.

Amarok-svn (Version 3.2.1)
============================

Used configuration
——————–
(Use –help to get information on how to change it.)

SVN server: svn://anonsvn.kde.org
Language for localization and documentation: it
Command for getting root privileges: kdesu
Build ID: On
Build directory: /home/dyve/amarok-svn
Clean source tree: Off

###################### #### ### ## ## ## # #

NB: Manteniamo script e directory (senza spostarla) se vogliamo aggiornare periodicamente i sorgenti e reinstallare nuovamente Amarok.

Related Posts Plugin for WordPress, Blogger...

Il tuo indirizzo ip:
18.234.236.14

Valutazione 3.00 su 5
happy wheels 2 demo

Category:

Senza categoria

Tags:

, ,

Commenti via Facebook:

Leave a Reply

Your email address will not be published. Required fields are marked *

*

13 Comments

  • A me ha fatto scegliere se usare kdesu, sudo o su -c per ottenere i privilegi dell’utente root… ho scelto sudo ma non so se va perchè ho altri problemi nell’installazione.

      Quota

  • zidagar ITALY 11 anni ago

    l’ho provato appena visto l’annuncio.
    tutto liscio al primo colpo su debian sid.

      Quota

  • Algol ITALY 11 anni ago

    RikyM anche io ho avuto problemi…
    dico come o risolto…
    le dipendenze su xine-engine basta scaricare l’ultima versione dal sito e compilarla…(a me è andata subito)
    poi chiedeva di installare libtag io le ho installate tutte, ma generalmente basta installare quella di sviluppo!
    poi ho compilato ed è andato tutto!

      Quota

  • quali sono le miliorie in questa versione??

      Quota

  • ops!!! migliorie ; )

      Quota

  • @lupo
    sul sito ufficiale c’e’ un piccolo changelog..ma e’ una versione svn quindi il codice puo’ cambiare dalla mattina alla sera..
    😉

      Quota

  • Se può servire… 🙂 :

    “Sorry, but Amarok-svn is on hiatus until I’m able to use Amarok 2.0. (Kinda means ‘when there are good KDE 4 packages for Kubuntu’…). I don’t have the time to fiddle on it right now. The Amarok 2.0 edition should be rewritten i ruby, though. 🙂

    Spiacente, ma Amarok-svn sarà lacunoso finché non riuscirò ad usare Amarok 2.0. (Cioè ‘quando ci saranno buoni pacchetti di KDE 4 per Kubuntu’…). Per ora non ho tempo di smanettarci su. La seconda versione di Amarok dovrebbe essere riscritta in Ruby, però. 🙂

    Due to a cleanup in KDE’s SVN, Amarok-svn 3.2 can’t download unsermake anymore. Solution: Upgrade to Amarok-svn 3.2.1. If you have unsermake installed system wide, you don’t need to upgrade.

    A causa di una pulizia negli SVN di KDE, Amarok-svn 3.2 non può più scaricare unsermake. Soluzione: aggiornate ad Amarok-svn 3.2.1. Se avete unsermake installato nel sistema, non avete bisogno di aggiornare.

      Quota

  • gioacchino ITALY 11 anni ago

    ciao a tutti io uso kubuntu 7.10 nonostante abbia installato sia le librerie di ruby sia libx11-dev continuo a ottenere questo errore:
    checking for X… configure: error: Can’t find X libraries. Please check your installation and add the correct paths!

    ERROR: Configuration failed. Amarok was NOT installed/upgraded.

      Quota

  • @gioacchino
    ti mancano le librerie di sviluppo di X

    sudo apt-get install x-dev xorg-dev

    😉

      Quota

  • gioacchino ITALY 11 anni ago

    ok grazie

    dopo aver installato ho avuto un problema utilizzando last.fm mi e’ crashato amarok con un messaggio tipo impossibile avviare kmail…

      Quota

  • gioacchino ITALY 11 anni ago

    altra cosa comunque last.fm continua a non funzionare… adesso arriva a sto bufferizzando 100% e poi non va piu’…

      Quota

  • gioacchino ITALY 11 anni ago

    FIX: il problema con kmail non si e’ piu’ ripetuto

    ma last.fm continua a non funzionare…

      Quota

  • gioacchino ITALY 11 anni ago

    con la radio di trevino funziona pero’ 😉 lastfm://user/trevi55/personal

    menomale!!

      Quota